Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce
Class X509LDAPCertStoreParameters

    java.lang.Object
      org.bouncycastle.jce.X509LDAPCertStoreParameters

All Implemented Interfaces:
  java.lang.Cloneable, java.security.cert.CertStoreParameters, X509StoreParameters

    public class X509LDAPCertStoreParameters

extends java.lang.Object
implements X509StoreParameters, java.security.cert.CertStoreParameters

An expanded set of parameters for an LDAPCertStore

Nested Class Summary
`static class` | `X509LDAPCertStoreParameters.Builder`

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`boolean` | `equal(java.lang.Object o)`
`java.lang.String` | `getAACertificateAttribute()`
`java.lang.String` | `getAACertificateSubjectAttributeName()`
`java.lang.String` | `getAttributeAuthorityRevocationListAttribute()`
`java.lang.String` | `getAttributeAuthorityRevocationListIssuerAttributeName()`
`java.lang.String` | `getAttributeCertificateAttributeAttribute()`
`java.lang.String` | `getAttributeCertificateAttributeSubjectAttributeName()`
`java.lang.String` | `getAttributeCertificateRevocationListAttribute()`
`java.lang.String` | `getAttributeCertificateRevocationListIssuerAttributeName()`
`java.lang.String` | `getAttributeDescriptorCertificateAttribute()`
`java.lang.String` | `getAttributeDescriptorCertificateSubjectAttributeName()`
`java.lang.String` | `getAuthorityRevocationListAttribute()`
`java.lang.String` | `getAuthorityRevocationListIssuerAttributeName()`
`java.lang.String` | `getBaseDN()`
`java.lang.String` | `getCACertificateAttribute()`
`java.lang.String` | `getCACertificateSubjectAttributeName()`
`java.lang.String` | `getCertificateRevocationListAttribute()`
`java.lang.String` | `getCertificateRevocationListIssuerAttributeName()`
`java.lang.String` | `getCrossCertificateAttribute()`
`java.lang.String` | `getCrossCertificateSubjectAttributeName()`
`java.lang.String` | `getDeltaRevocationListAttribute()`
`java.lang.String` | `getDeltaRevocationListIssuerAttributeName()`
`static X509LDAPCertStoreParameters` | `getInstance(java.security.cert.LDAPCertStoreParameters params)`
`java.lang.String` | `getLdapAACertificateAttributeName()`
`java.lang.String` | `getLdapAttributeAuthorityRevocationListAttributeName()`
`java.lang.String` | `getLdapAttributeCertificateAttributeAttributeName()`
`java.lang.String` | `getLdapAttributeCertificateRevocationListAttributeName()`
`java.lang.String` | `getLdapAttributeDescriptorCertificateAttributeName()`
`java.lang.String` | `getLdapAuthorityRevocationListAttributeName()`
`java.lang.String` | `getLdapCACertificateAttributeName()`
`java.lang.String` | `getLdapCertificateRevocationListAttributeName()`
`java.lang.String` | `getLdapCrossCertificateAttributeName()`
`java.lang.String` | `getLdapDeltaRevocationListAttributeName()`
`java.lang.String` | `getLdapURL()`
`java.lang.String` | `getLdapUserCertificateAttributeName()`
`java.lang.String` | `getSearchForSerialNumberIn()`
`java.lang.String` | `getUserCertificateAttribute()`
`java.lang.String` | `getUserCertificateSubjectAttributeName()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public java.lang.Object clone()

  Returns a clone of this object.

  Specified by:
    `clone` in interface `java.security.cert.CertStoreParameters`
  Overrides:
    `clone` in class `java.lang.Object`

### equal

    public boolean equal(java.lang.Object o)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getAACertificateAttribute

    public java.lang.String getAACertificateAttribute()

  Returns:
    Returns the aACertificateAttribute.

### getAACertificateSubjectAttributeName

    public java.lang.String getAACertificateSubjectAttributeName()

  Returns:
    Returns the aACertificateSubjectAttributeName.

### getAttributeAuthorityRevocationListAttribute

    public java.lang.String getAttributeAuthorityRevocationListAttribute()

  Returns:
    Returns the attributeAuthorityRevocationListAttribute.

### getAttributeAuthorityRevocationListIssuerAttributeName

    public java.lang.String getAttributeAuthorityRevocationListIssuerAttributeName()

  Returns:
    Returns the attributeAuthorityRevocationListIssuerAttributeName.

### getAttributeCertificateAttributeAttribute

    public java.lang.String getAttributeCertificateAttributeAttribute()

  Returns:
    Returns the attributeCertificateAttributeAttribute.

### getAttributeCertificateAttributeSubjectAttributeName

    public java.lang.String getAttributeCertificateAttributeSubjectAttributeName()

  Returns:
    Returns the attributeCertificateAttributeSubjectAttributeName.

### getAttributeCertificateRevocationListAttribute

    public java.lang.String getAttributeCertificateRevocationListAttribute()

  Returns:
    Returns the attributeCertificateRevocationListAttribute.

### getAttributeCertificateRevocationListIssuerAttributeName

    public java.lang.String getAttributeCertificateRevocationListIssuerAttributeName()

  Returns:
    Returns the attributeCertificateRevocationListIssuerAttributeName.

### getAttributeDescriptorCertificateAttribute

    public java.lang.String getAttributeDescriptorCertificateAttribute()

  Returns:
    Returns the attributeDescriptorCertificateAttribute.

### getAttributeDescriptorCertificateSubjectAttributeName

    public java.lang.String getAttributeDescriptorCertificateSubjectAttributeName()

  Returns:
    Returns the attributeDescriptorCertificateSubjectAttributeName.

### getAuthorityRevocationListAttribute

    public java.lang.String getAuthorityRevocationListAttribute()

  Returns:
    Returns the authorityRevocationListAttribute.

### getAuthorityRevocationListIssuerAttributeName

    public java.lang.String getAuthorityRevocationListIssuerAttributeName()

  Returns:
    Returns the authorityRevocationListIssuerAttributeName.

### getBaseDN

    public java.lang.String getBaseDN()

  Returns:
    Returns the baseDN.

### getCACertificateAttribute

    public java.lang.String getCACertificateAttribute()

  Returns:
    Returns the cACertificateAttribute.

### getCACertificateSubjectAttributeName

    public java.lang.String getCACertificateSubjectAttributeName()

  Returns:
    Returns the cACertificateSubjectAttributeName.

### getCertificateRevocationListAttribute

    public java.lang.String getCertificateRevocationListAttribute()

  Returns:
    Returns the certificateRevocationListAttribute.

### getCertificateRevocationListIssuerAttributeName

    public java.lang.String getCertificateRevocationListIssuerAttributeName()

  Returns:
    Returns the certificateRevocationListIssuerAttributeName.

### getCrossCertificateAttribute

    public java.lang.String getCrossCertificateAttribute()

  Returns:
    Returns the crossCertificateAttribute.

### getCrossCertificateSubjectAttributeName

    public java.lang.String getCrossCertificateSubjectAttributeName()

  Returns:
    Returns the crossCertificateSubjectAttributeName.

### getDeltaRevocationListAttribute

    public java.lang.String getDeltaRevocationListAttribute()

  Returns:
    Returns the deltaRevocationListAttribute.

### getDeltaRevocationListIssuerAttributeName

    public java.lang.String getDeltaRevocationListIssuerAttributeName()

  Returns:
    Returns the deltaRevocationListIssuerAttributeName.

### getLdapAACertificateAttributeName

    public java.lang.String getLdapAACertificateAttributeName()

  Returns:
    Returns the ldapAACertificateAttributeName.

### getLdapAttributeAuthorityRevocationListAttributeName

    public java.lang.String getLdapAttributeAuthorityRevocationListAttributeName()

  Returns:
    Returns the ldapAttributeAuthorityRevocationListAttributeName.

### getLdapAttributeCertificateAttributeAttributeName

    public java.lang.String getLdapAttributeCertificateAttributeAttributeName()

  Returns:
    Returns the ldapAttributeCertificateAttributeAttributeName.

### getLdapAttributeCertificateRevocationListAttributeName

    public java.lang.String getLdapAttributeCertificateRevocationListAttributeName()

  Returns:
    Returns the ldapAttributeCertificateRevocationListAttributeName.

### getLdapAttributeDescriptorCertificateAttributeName

    public java.lang.String getLdapAttributeDescriptorCertificateAttributeName()

  Returns:
    Returns the ldapAttributeDescriptorCertificateAttributeName.

### getLdapAuthorityRevocationListAttributeName

    public java.lang.String getLdapAuthorityRevocationListAttributeName()

  Returns:
    Returns the ldapAuthorityRevocationListAttributeName.

### getLdapCACertificateAttributeName

    public java.lang.String getLdapCACertificateAttributeName()

  Returns:
    Returns the ldapCACertificateAttributeName.

### getLdapCertificateRevocationListAttributeName

    public java.lang.String getLdapCertificateRevocationListAttributeName()

  Returns:
    Returns the ldapCertificateRevocationListAttributeName.

### getLdapCrossCertificateAttributeName

    public java.lang.String getLdapCrossCertificateAttributeName()

  Returns:
    Returns the ldapCrossCertificateAttributeName.

### getLdapDeltaRevocationListAttributeName

    public java.lang.String getLdapDeltaRevocationListAttributeName()

  Returns:
    Returns the ldapDeltaRevocationListAttributeName.

### getLdapURL

    public java.lang.String getLdapURL()

  Returns:
    Returns the ldapURL.

### getLdapUserCertificateAttributeName

    public java.lang.String getLdapUserCertificateAttributeName()

  Returns:
    Returns the ldapUserCertificateAttributeName.

### getSearchForSerialNumberIn

    public java.lang.String getSearchForSerialNumberIn()

  Returns:
    Returns the searchForSerialNumberIn.

### getUserCertificateAttribute

    public java.lang.String getUserCertificateAttribute()

  Returns:
    Returns the userCertificateAttribute.

### getUserCertificateSubjectAttributeName

    public java.lang.String getUserCertificateSubjectAttributeName()

  Returns:
    Returns the userCertificateSubjectAttributeName.

### getInstance

    public static X509LDAPCertStoreParameters getInstance(java.security.cert.LDAPCertStoreParameters params)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD